/* This demo shows the use of a slider. Every time the slider changes
   position it is returned by do_forms() and the text field showing its
   value is adapted.

   Written by Mark Overmars.

   Date: 29 Apr 1991
*/

#include <stdio.h>
#include "forms.h"

main()
{
  FL_FORM *form;
  FL_OBJECT *retobj,*slider, *button, *value;
  char str[30];

  fl_init();
  form = fl_bgn_form(FL_UP_BOX,240.0,400.0);
     slider = fl_add_slider(FL_VERT_SLIDER,40.0,40.0,60.0,320.0,"");
     fl_set_slider_bounds(slider,-1.0,1.0);
     fl_set_slider_value(slider,0.0);
     fl_set_object_color(slider,FL_SLIDER_COL1,2);
     value = fl_add_box(FL_DOWN_BOX,120.0,180.0,100.0,30.0,"");
     fl_set_object_color(value,13,13);
     fl_set_object_align(value,FL_ALIGN_CENTER);
     button = fl_add_button(FL_RETURN_BUTTON,120.0,80.0,100.0,30.0,"Exit");
  fl_end_form();

  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do
  {
    sprintf(str,"%f",fl_get_slider_value(slider));
    fl_set_object_label(value,str);
    retobj = fl_do_forms();
  } while (retobj != button);
  fl_hide_form(form);
}
